%define		esvn_release	1
Name:		esvn
Summary:	GUI frontend for the Subversion revision system
Version:	0.6.11
Release:	%{esvn_release}.1%{?dist}
Source0:	http://esvn.umputun.com/%{name}-%{version}-%{esvn_release}.tar.gz
Patch0:		esvn-0.6.11.patch
Group: 		System Tools/Editors
URL:		http://esvn.umputun.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
License:	GPL
BuildRequires:	qt-devel, subversion-devel, desktop-file-utils

%description
eSvn is a cross-platform (QT-based) GUI frontend for the Subversion revision system.

Author:
-------
Eugene Bort <esvn@umputun.com>

%package        doc
Summary:        Documentation files for %{name}
Summary(pl):    Pliki dokumentacji dla %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains documentation files for %{name}-%{version}.

%description    -l pl doc
W tym pakiecie jest dokumentacja dla %{name}-%{version}.

%prep
%setup -qn %{name}
%patch0 -p1

%build
unset QTDIR || : 
. /etc/profile.d/qt.sh

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__install} -d $RPM_BUILD_ROOT%{_bindir}
%{__install} -d $RPM_BUILD_ROOT%{_datadir}/pixmaps
%{__install} -d $RPM_BUILD_ROOT%{_datadir}/applications
%{__install} -d $RPM_BUILD_ROOT%{_docdir}/esvn
%{__install} -m755 esvn $RPM_BUILD_ROOT%{_bindir}/esvn
%{__install} -m755 esvn-diff-wrapper $RPM_BUILD_ROOT%{_bindir}/esvn-diff-wrapper
%{__install} -m644 esvn.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/esvn.png
%{__cp} -f -r html-docs $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

desktop-file-install --vendor "" \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category Application \
    --add-category Development \
    eSvn.desktop

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post

%preun

%files
%defattr(-,root,root,0755)
%{_bindir}/esvn
%{_bindir}/esvn-diff-wrapper
%{_datadir}/pixmaps/esvn.png
%{_datadir}/applications/eSvn.desktop

%files          doc
%defattr(644,root,root,755)
%{_docdir}/%{name}-%{version}
%doc AUTHORS  COPYING LICENSE  README  VERSION  ChangeLog

%changelog
* Thu Jul 27 2006 Wojciech Gabor <tuptus@turox.org>
- rebuild on Aurox 12.0

* Thu Oct 6 2005 Krzysztof Krahel <chemik12@gmail.com>
- Build for Turox on A11.0

* Mon Aug 29 2005 Wojciech Gabor <tuptus@turox.org>
- initial build for Turox
